/*
 * Copyright (c) 2012 NINTENDO.
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions, and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions, and the following disclaimer in the 
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY NINTENDO AND ITS CONTRIBUTORS "AS IS" AND ANY 
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 * ARE DISCLAIMED.  IN NO EVENT SHALL NINTENDO OR CONTRIBUTORS BE LIABLE FOR ANY 
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF 
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include "config.h"
#include "WiiUSystemInterface.h"
#include <wtf/Platform.h> // PLATFORM(...)

#if PLATFORM(WIIU)
#include <sdk_ver.h>
#else
#include <stdio.h>
#endif
#include <PlatformOS.h>
#include <PlatformDefines.h>
using namespace LibPlatform;

unsigned WiiUSystemInterface::getConsoleType()
{
#if PLATFORM(WIIU)
	return OS::GetConsoleType();
#else
	return 0;
#endif
}

unsigned WiiUSystemInterface::getCountryCode()
{
	return 0;
}

unsigned WiiUSystemInterface::getLanguageCode()
{
	return 0;
}

unsigned WiiUSystemInterface::getRegionCode()
{
	return 0;
}

unsigned WiiUSystemInterface::getPlatform()
{

	//Returns 0 in WiiU build, some other value in PC sim
	// FIXME: come up with some meaningful values here!
#if PLATFORM(WIIU)
	return 0;
#else
	return 1;
#endif
}

const char* WiiUSystemInterface::getWiiUSDK()
{
#if PLATFORM(WIIU)
	return OS_SDK_VERSION_STRING;
#else
	return "Not yet implemented";
#endif
}

const char* WiiUSystemInterface::getConsoleGUID()
{
	return "Not yet implemented";
}

const char* WiiUSystemInterface::getConsoleNickname()
{
	return "Not yet implemented";
}

const char* WiiUSystemInterface::getGameName()
{
	//return OSGetAppGamename();
	return "Not yet implemented";
}

bool WiiUSystemInterface::getHomeButtonEnabled()
{
	return false;
}
